IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MEDWEB_KURUMGECMISTETKIKKARTLARI]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[MEDWEB_KURUMGECMISTETKIKKARTLARI]
GO

CREATE FUNCTION [dbo].[MEDWEB_KURUMGECMISTETKIKKARTLARI](@KURUMID int,@SUBEID int,@ILKTARIH datetime, @SONTARIH datetime) 
RETURNS @retGecmisTetkikler TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	HTETKIKID int,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	LUYGBOLUM nvarchar(50),
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100),
	HTETKIKKARTID INT,
	HKIMLIKID INT, 
	HTRAPORUVAR BIT,
	GIRISTARIH DATETIME
)
AS
BEGIN
	INSERT INTO @retGecmisTetkikler
	SELECT VWTETKIK.TETKIKTURADI, VWTETKIK.ITEMADI, VWTETKIK.HTETKIKID, VWTETKIK.LTCKIMLIKNO, VWTETKIK.LADISOYADI, VWTETKIK.LDTARIHI, VWTETKIK.LHYASI, VWTETKIK.HCINSIYETI, VWTETKIK.HDOSYAID, VWTETKIK.LBOLUM,
                 VWTETKIK.LDOKTOR, VWTETKIK.LUYGBOLUM, VWTETKIK.LUYGDRADI, VWTETKIK.UYGDRUNVAN, VWTETKIK.UYGDRUZMANLIKADI, VWTETKIK.HTETKIKKARTID, VWTETKIK.HKIMLIKID, CASE WHEN VWTETKIK.HTRAPORU IS NULL THEN 0 ELSE 1 END AS HTRAPORUVAR, VWTETKIK.GIRISTARIH 
	FROM VWTETKIK JOIN VWTETKIKHASTA ON  VWTETKIKHASTA.HTETKIKKARTID=VWTETKIK.HTETKIKKARTID 
	WHERE VWTETKIK.DURUM = 2 AND VWTETKIK.WEBGORUNSUN = 1 AND VWTETKIKHASTA.HKCARIID  = @KURUMID AND VWTETKIKHASTA.SUBEID = @SUBEID AND VWTETKIKHASTA.GIRISTARIH >= @ILKTARIH AND VWTETKIKHASTA.GIRISTARIH < DATEADD(DAY,1,@SONTARIH)
	ORDER BY HTETKIKKARTID DESC, HTETKIKID DESC
    RETURN
END

